## cascading.flow
Class FlowMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          cascading.flow.FlowMapper

All Implemented Interfaces:
  Closeable, JobConfigurable, Mapper

    public class FlowMapper

extends MapReduceBase
implements Mapper

Class FlowMapper is the Hadoop Mapper implementation.

Constructor Summary
`FlowMapper()` Constructor FlowMapper creates a new FlowMapper instance.

Method Summary
`void` `close()`
`void` `configure(JobConf jobConf)`
`void` `map(Object key, Object value, OutputCollector output, Reporter reporter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowMapper

    public FlowMapper()

  Constructor FlowMapper creates a new FlowMapper instance.

Method Detail

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`
  Overrides:
    `configure` in class `MapReduceBase`

### map

    public void map(Object key,
                    Object value,
                    OutputCollector output,
                    Reporter reporter)
             throws IOException

  Specified by:
    `map` in interface `Mapper`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `MapReduceBase`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.